ContentRecord (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages.records
Class ContentRecord

    java.lang.Object
      org.gcube.messaging.common.messages.records.BaseRecord
          org.gcube.messaging.common.messages.records.ContentRecord

All Implemented Interfaces:
  Serializable

    public class ContentRecord

extends BaseRecord

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`date`

Constructor Summary
`ContentRecord()` constructor

Method Summary
`String` | `getContentId()` get the content ID
`String` | `getContentName()` get the content name
`void` | `setContentId(String contentId)` set the content ID
`void` | `setContentName(String contentName)` set the content name

Methods inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`getDate, setDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentRecord

    public ContentRecord()

  constructor

Method Detail

### getContentId

    public String getContentId()

  get the content ID

  Returns:
    the content ID

### setContentId

    public void setContentId(String contentId)

  set the content ID

  Parameters:
    `contentId` - the content ID

### getContentName

    public String getContentName()

  get the content name

  Returns:
    the content name

### setContentName

    public void setContentName(String contentName)

  set the content name

  Parameters:
    `contentName` - the content name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.